////////////////////////////////////////////////////////////////////////////
// CTaEditVScroll クラスのインプリメンテーション
//
////////////////////////////////////////////////////////////////////////////

#include "TaEditVScroll.h"

////////////////////////////////////////////////////////////////////////////
// 構築/破棄
////////////////////////////////////////////////////////////////////////////

CTaEditVScroll::CTaEditVScroll()
{

}

CTaEditVScroll::~CTaEditVScroll()
{

}

////////////////////////////////////////////////////////////////////////////
// メソッド
////////////////////////////////////////////////////////////////////////////

void CTaEditVScroll::OnCreate( Widget argWgt, XtPointer user_data )
{
	CScrollMgr::m_Scr = CVScroll::m_VScroll;
	CScrollMgr::OnCreate( argWgt, user_data );
}

void CTaEditVScroll::OnDecrement( Widget argWgt, XtPointer user_data )
{
	CScrollMgr::OnDecrement( argWgt, user_data );
}

void CTaEditVScroll::OnIncrement( Widget argWgt, XtPointer user_data )
{
	CScrollMgr::OnIncrement( argWgt, user_data );
}

void CTaEditVScroll::OnPageDown( Widget argWgt, XtPointer user_data )
{
	CScrollMgr::OnPageDown( argWgt, user_data );
}

void CTaEditVScroll::OnPageUp( Widget argWgt, XtPointer user_data )
{
	CScrollMgr::OnPageUp( argWgt, user_data );
}

void CTaEditVScroll::OnDrag( Widget argWgt, XtPointer user_data )
{
	CScrollMgr::OnDrag( argWgt, user_data );
}

void CTaEditVScroll::ToBottom( Widget argWgt, XtPointer user_data )
{
	CScrollMgr::ToBottom( argWgt, user_data );
}

void CTaEditVScroll::ToTop( Widget argWgt, XtPointer user_data )
{
	CScrollMgr::ToTop( argWgt, user_data );
}

void CTaEditVScroll::OnChangeValue( Widget argWgt, XtPointer user_data )
{
	CScrollMgr::OnChangeValue( argWgt, user_data );
}

